CREATE OR REPLACE FUNCTION getProbeMerkmalIdBySid(sD010801_id IN VARCHAR2, iSid IN INTEGER) RETURN VARCHAR2 AS
  sRet VARCHAR2(255);
  sTable VARCHAR2(32);
  iWert_Sid INTEGER;
  sSQL VARCHAR2(1000);
  
  BEGIN
        SELECT regexp_substr(s0104.mc_params,'reftablename=(.*)',1,1,NULL,1) INTO sTable
          FROM vis_s0104 s0104
          JOIN vis_a01080201 a01080201 ON a01080201.MATCHDEF=s0104.CODE
         WHERE a01080201.sid=iSid
         ;
       
         SELECT MIN(d01080110.wert_sid) INTO iWert_Sid
        FROM vis_d01080110 d01080110
       WHERE d01080110.d010801_id=sD010801_id
         AND d01080110.deleted=0
         AND d01080110.a010802_01_sid=iSid
         AND sTable IS NOT NULL
         ;
       
         sSQL:='SELECT ID FROM '||sTable||' WHERE sid=:wert_sid';
         EXECUTE IMMEDIATE sSQL INTO sRet USING iWert_Sid; 
    
  RETURN sRet;
END getProbeMerkmalIdBySid;